<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<jmesa:tableFacade items="${listaRaportow}" id="listaRaportow" var="raport" limit="${wynikLimit}" editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="width: 300px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="opis" title="Opis" styleClass="daneWyroznione" sortable="false" filterable="false">
				${raport.opis}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false" style="width: 80px;">
				<div class="ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.raporty.sql.RaportAction" event="podglad" aa-refresh-zones="tresc_container">
						<stripes:param name="raport" value="${raport.id}"/>
						<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sql/raport.jsp')}"/>
						<img src="${root}/img/edit.gif" class="iconspace"/>
					</stripes:link>
					<ttSec:secure roles="OG_D_RAPORTY">
						<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.raporty.sql.ListaRaportowAction" event="usun"
								onclick="return confirmation('Czy na pewno chcesz usunąć ten raport?')">
							<stripes:param name="raport" value="${raport.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sql/listaRaportow.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
