<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>
			miejsce skierowania/pobytu
		</label>
	</div>
	<div class="input">
		<stripes:select style="width:400px" class="mySelect required" name="${nazwaPolaNieobecnoscInformacja}.miejsceId" id="${nazwaPolaNieobecnoscInformacja}Miejsce"
				title="Miejsce, do którego została skierowana lub w którym przebywać będzie osoba">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaMiejscPobytu}" label="nazwa" value="id"/>
		</stripes:select>

		<c:set var="nazwaPola" value="${nazwaPolaNieobecnoscInformacja}.id"/>
		<c:set var="_wartoscPola" value="${ttFn:extractProperty(actionBean, nazwaPola)}"/>
		<c:if test="${empty _wartoscPola}">
			<ttSec:secure roles="OG_C_MIEJSCE_POBYTU">
				<stripes:link beanclass="pl.topteam.dps.action.administracja.slowniki.miejscePobytu.MiejscePobytuAction" event="dodawanie"
						class="margin-left-10" title="Nowe miejsce pobytu">
					<img src="${root}/img/wykonaj.gif"/>
				</stripes:link>
			</ttSec:secure>
		</c:if>
		<div style="clear: both">
			<stripes:errors field="${nazwaPolaNieobecnoscInformacja}.miejsceId"/>
		</div>
	</div>
</div>
