<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_SqlRaportActionURL" beanclass="pl.topteam.dps.action.raporty.sql.SqlRaportAction" prependContext="true" scope="page" addSourcePage="false"/>

<aa:zone id="tresc_container">
<script type="text/javascript">
	function wykonajRaport() {
		pokazLoadImage();
		$("#sqlForm").attr("target", "_blank");
		$.post("${_SqlRaportActionURL}", {
				"sprawdz" : 1,
				"zapytanie" : $("textarea[name='zapytanie']").val()
			}, function(data, textStatus, xhr) {
				if(xhr.getResponseHeader('Ajax-Success')) {
		     		$("input[name='wykonaj']").click();
				} else {
					$("#spanBledy").html(data);
				}
				ukryjLoadImage();
	    	}, "text"
    	);
    	return 0;
	}
	function zapiszRaport() {
		$("#spanBledy").html("");
		$("#sqlForm").removeAttr("target");
		$("input[name='zapisz']").click();
		return 0;
	}
</script>

<stripes:form id="sqlForm" beanclass="pl.topteam.dps.action.raporty.sql.RaportAction" style="width: 800px;">
	<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
	<stripes:hidden name="raport"/>
	<stripes:submit name="wykonaj" class="noLoadImage" style="display: none;" value="Ukryte wykonanie"/>
	<stripes:submit name="zapisz" class="noLoadImage" style="display: none;" value="Ukryty zapis" aa-refresh-zones="tresc_container"/>
	<stripes:hidden name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/sql/raport.jsp')}"/>

	<div class="row">
		<div style="padding-bottom: 10px;">treść</div>
		<div align="center">
			<div style="clear: both">
				<span id="spanBledy"></span>
				<stripes:errors field="zapytanie"/>
			</div>
			<stripes:textarea name="zapytanie" class="required" style="width: 95%;" rows="25"/>
		</div>
		<div class="text-center margin-top-10">
			<stripes:button name="btnWykonaj" class="noLoadImage" value="Generuj raport" onclick="wykonajRaport();"/>
		</div>
	</div>
	<hr class="margin-bottom-10 margin-top-10"/>
	<div class="row">
		<div class="text-center">
			opis: <stripes:text name="raport.opis" class="required" size="50"/>
			<stripes:button name="btnZapisz" class="noLoadImage" value="Zapisz" onclick="zapiszRaport();"/>
			<stripes:errors field="raport.opis"/>
		</div>
	</div>
</stripes:form>
</aa:zone>
