<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div class="row">
	<div class="label">
		<label>data&nbsp;/&nbsp;godzina</label>
	</div>
	<div class="input">
		<stripes:text name="${nazwaPolaNieobecnoscInformacja}.dataWyjazdu" title="Data wyjazdu" class="data required" formatPattern="${DATE_PATTERN}"/>&nbsp;&nbsp;&nbsp;/&nbsp;
		<stripes:text name="${nazwaPolaNieobecnoscInformacja}.godzinaWyjazdu" title="Godzina wyjazdu" class="numberInteger nChkb" size="7"/>
		<stripes:errors field="${nazwaPolaNieobecnoscInformacja}.dataWyjazdu"/>
		<stripes:errors field="${nazwaPolaNieobecnoscInformacja}.godzinaWyjazdu"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>dyżur<br/>pielęgniarski</label>
	</div>
	<div class="input">
		<stripes:select name="${nazwaPolaNieobecnoscInformacja}.dyzurWyjazdId">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${kodRodzajuDyzuruPielegniarskiegoSlownik}" label="wartString" value="id"/>
		</stripes:select>
		<stripes:errors field="${nazwaPolaNieobecnoscInformacja}.dyzurWyjazdId"/>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>lekarz</label>
	</div>
	<div class="input">
		<stripes:select style="width:400px" class="mySelect" name="${nazwaPolaNieobecnoscInformacja}.lekarzId"
				id="${nazwaPolaNieobecnoscInformacja}LekarzId">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${kodLekarzaSlownik}" label="wartString" value="id"/>
		</stripes:select>
		&nbsp;&nbsp;
		<a class="imgButton noweSlowoButton" onclick="slowoWprowadzanieAjax('KOD_LEKARZA', '${nazwaPolaNieobecnoscInformacja}LekarzId'); return false;"
				title="Wprowadź nowe słowo dla 'lekarz'">
			<img src="${root}/img/icons/add.png" style="border: 0px;">
		</a>
		<div style="clear: both">
			<stripes:errors field="${nazwaPolaNieobecnoscInformacja}.lekarzId"/>
		</div>
	</div>
</div>
<div class="row">
	<div class="label">
		<label>pracownik</label>
	</div>
	<div class="input">
		<stripes:select style="width:400px" class="mySelect" name="${nazwaPolaNieobecnoscInformacja}.pracownikWyjazdId"
				id="${nazwaPolaNieobecnoscInformacja}PracownikWyjazdId"
				title="Pracownik, który skierował osobę">
			<stripes:option value="">${OPCJA_WYBIERZ}</stripes:option>
			<stripes:options-collection collection="${listaPracownikow}" label="nazwiskoImie" value="id"/>
		</stripes:select>
		<div style="clear: both">
			<stripes:errors field="${nazwaPolaNieobecnoscInformacja}.pracownikWyjazdId"/>
		</div>
	</div>
</div>
